Skip to main content
POST
/
api
/
public
/
apps
/
{appId}
/
events
/
product
/
delete
Product delete event
curl --request POST \
  --url https://api.vambe.me/api/public/apps/{appId}/events/product/delete \
  --header 'Content-Type: application/json' \
  --header 'x-vambe-signature: <x-vambe-signature>' \
  --header 'x-vambe-timestamp: <x-vambe-timestamp>' \
  --data '
{
  "external_id": "<string>"
}
'
const options = {
method: 'POST',
headers: {
'x-vambe-timestamp': '<x-vambe-timestamp>',
'x-vambe-signature': '<x-vambe-signature>',
'Content-Type': 'application/json'
},
body: JSON.stringify({external_id: '<string>'})
};

fetch('https://api.vambe.me/api/public/apps/{appId}/events/product/delete', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
import requests

url = "https://api.vambe.me/api/public/apps/{appId}/events/product/delete"

payload = { "external_id": "<string>" }
headers = {
"x-vambe-timestamp": "<x-vambe-timestamp>",
"x-vambe-signature": "<x-vambe-signature>",
"Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers)

print(response.text)
Delete a product by its external id for the resolved installation.
Every webhook must be signed: send x-vambe-signature (hex HMAC-SHA256 of ${x-vambe-timestamp}.${rawBody} using the app signing secret) and x-vambe-timestamp (unix epoch seconds). Requests older than 5 minutes are rejected.

Headers

x-vambe-timestamp
string
required

Unix epoch seconds when the request was signed. Requests older than 5 minutes are rejected.

x-vambe-signature
string
required

Hex HMAC-SHA256 of ${x-vambe-timestamp}.${rawBody} using the app signing secret.

Path Parameters

appId
string
required

Body

application/json
external_id
string
required
Minimum string length: 1
external_store_id
string
event_id
string

Response

201 - undefined